Package org.eclipse.graphiti.features

## Interface ICustomAbortableUndoRedoFeature

All Superinterfaces:
  `ICustomUndoRedoFeature`

All Known Implementing Classes:
  `AddFeatureForPattern`, `CreateConnectionFeatureForPattern`, `CreateFeatureForPattern`, `DefaultUpdateDiagramFeature`, `DeleteFeatureForPattern`, `DirectEditingFeatureForPattern`, `LayoutFeatureForPattern`, `MoveShapeFeatureForPattern`, `ReconnectionFeatureForPattern`, `RemoveFeatureForPattern`, `ResizeShapeFeatureForPattern`, `UpdateFeatureForPattern`

    public interface ICustomAbortableUndoRedoFeature
    extends ICustomUndoRedoFeature

This interface can by used and implemented by customers within any feature to signal the need for additional work that needs to be done before or after undo and redo. In addition to `ICustomUndoRedoFeature` this interface supports cancellation of undo/redo operations.

Since:
  0.12
See Also:
  `ICustomUndoRedoFeature`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isAbort()` The Graphiti framework will call this method after `ICustomUndoRedoFeature.preUndo(org.eclipse.graphiti.features.context.IContext)`/ `ICustomUndoRedoFeature.preRedo(org.eclipse.graphiti.features.context.IContext)` have been called and before the actual undo/redo operation is triggered.

### Methods inherited from interface org.eclipse.graphiti.features.ICustomUndoRedoFeature

`canRedo, canUndo, postRedo, postUndo, preRedo, preUndo`

### Method Detail

#### isAbort

    boolean isAbort()

The Graphiti framework will call this method after `ICustomUndoRedoFeature.preUndo(org.eclipse.graphiti.features.context.IContext)`/ `ICustomUndoRedoFeature.preRedo(org.eclipse.graphiti.features.context.IContext)` have been called and before the actual undo/redo operation is triggered. In case this method returns `true`, the operation will be cancelled by the Graphiti framework by throwing an `OperationCanceledException` that causes am EMF revert of the operation.

Implementing classes might e.g. set a flag in `ICustomUndoRedoFeature.preUndo(org.eclipse.graphiti.features.context.IContext)`/ `ICustomUndoRedoFeature.preRedo(org.eclipse.graphiti.features.context.IContext)` as cancellation indication and check that that flag here.

Returns:
  `true` in case you want to cancel the current operation, `false` otherwise.